*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
html {
    font-size: 10px;
    font-family: 'Poppins', sans-serif;
}

.container{
    min-height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

/*Home Section */
#home{
    background-image: url(/static/Background.svg);
    background-size: cover;
    background-position: top center;
    position: relative;
    z-index: 1;
}
#home::after{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: .3;
    z-index: -1;
}
#home .home{
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 50px;
    justify-content: flex-start;
}
#home h1{
    display: swap;
    width: fit-content;
    font-size: 5rem;
    font-weight: 700;
    position: relative;
    color: white;
    color: transparent;
    animation: text_reveal .5s ease forwards;
    animation-delay: 1s;
}
#home h1:nth-child(1){
    animation-delay: 1s;
}
#home h1:nth-child(2){
    animation-delay: 2s;
}
#home h1:nth-child(3){
    animation: text_reveal_name .5s ease forwards;
    animation-delay: 3s;
}
#home h1 span{
    display: swap;
    font-weight: 600;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    background-color: #FFB800;
    animation: text_reveal_box 1s ease;
    animation-delay: .3s;
}
#home h1:nth-child(1) span{
    animation-delay: .5s;
}
#home h1:nth-child(2) span{
    animation-delay: 1.5s;
}
#home h1:nth-child(3) span{
    animation-delay: 2.5s;
}
#home .icon{
    position: absolute;
    justify-items: right;
    filter: grayscale(1);
    right: 50px;
    top: 10px;
}
#home .social-item{
    padding: 10px;
}
/*Home Section */

/*About Section*/
#about{
    background-color: beige;
    background-size: cover;
    background-position: top center;
    position: relative;
}
#about .section-title{
    font-family: Poppins;
    display: swap;
    font-size: 4rem;
    font-weight: 300;
    color: black;
    margin-bottom: 10px;
    text-transform: capitalize;
    letter-spacing: .2rem;
    text-align: left;
}
#about .section-title span{
    color: #FFB800;
}
#about .col-right{
    margin-top: 100px;
    margin-left: 30px;
}
#about .col-right h1{
    font-weight: 700;
    display: swap;
    font-family: Poppins;
}
#about .col-right h2{
    font-weight: 600;
    display: swap;
    font-family: Poppins;
}
#about .col-right p{
    font-weight: 500;
    display: swap;
    font-size: 1.7rem;
    margin-top: 5px;
    margin-bottom: 10px;
    color: #6a6866;
}
#about .col-left img{
    position: relative;
}
/*End of About Section*/

/*Education Section*/
#education{
    background-size: cover;
    background-position: top center;
    position: relative;
    margin-top: 70px;
}
#education .edu-top h1{
    font-family: Poppins;
    display: swap;
    font-size: 4rem;
    font-weight: 700;
    color: black;
    text-transform: capitalize;
    letter-spacing: .2rem;
    text-align: center;
    margin-bottom: 100px;
}
#education .edu-top h1 span{
    color: #FFB800;
}
#education .table{
    position: relative;
    width: 100%;
    height: 50px;
    top:-30px
}
#education .edu-top table tr:hover {
    background-color: #f5f5f5;
}
#education .edu-top table tr{
    font-weight: 400;
    font-size: 2rem
}
#education .edu-top table tr:nth-child(even) {
    background-color: #f2f2f2;
}
/*End of Education Section*/

/*Keyframes*/
@keyframes text_reveal_box{
    50%{
        width: 100%;
        left: 0;
    }
    100%{
        width: 0;
        left: 100%;
    }
}
@keyframes text_reveal{
    100%{
        color: white;
    }
}
@keyframes text_reveal_name{
    100%{
        color: #FFB800;
        font-weight: 700;
    }
}
/*End Keyframes */
